/*
========================================================================
 Name        : MagicWandServerDocument.h
 Author      : Manuela Vogler
 Copyright   : 
 Description : 
========================================================================
*/
#ifndef MAGICWANDSERVERDOCUMENT_H
#define MAGICWANDSERVERDOCUMENT_H

#include <akndoc.h>
		
class CEikAppUi;

/**
* @class	CMagicWandServerDocument MagicWandServerDocument.h
* @brief	A CAknDocument-derived class is required by the S60 application 
*           framework. It is responsible for creating the AppUi object. 
*/
class CMagicWandServerDocument : public CAknDocument
	{
public: 
	// constructor
	static CMagicWandServerDocument* NewL( CEikApplication& aApp );

private: 
	// constructors
	CMagicWandServerDocument( CEikApplication& aApp );
	void ConstructL();
	
public: 
	// from base class CEikDocument
	CEikAppUi* CreateAppUiL();
	};
#endif // MAGICWANDSERVERDOCUMENT_H
